package io.hmit.dao;

import io.hmit.common.dao.BaseDao;
import io.hmit.entity.TokenEntity;
import org.apache.ibatis.annotations.Mapper;

/**
 * 用户Token
 *
 * @author zsh 408538940@qq.com
 */
@Mapper
public interface TokenDao extends BaseDao<TokenEntity> {

    TokenEntity getByToken(String token);

    TokenEntity getByUserId(Long userId);
}
